using Presenter;

namespace View {
	public class ExpressionInputCollection : IExpressionInput {
		private readonly IExpressionInput[] _inputs;

		public ExpressionInputCollection(IExpressionInput[] inputs) {
			_inputs = inputs;
		}

		public void UpdateView(int score) {
			foreach (IExpressionInput input in _inputs)
				input.UpdateView(score);
		}
	}
}